%define	module	turba
%define	name	horde-%{module}
%define	version	1.2.2
%define	release	3mdk
%define order	72
#New ADVX macros
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}
%define build_safemode	0
%{expand: %{?_without_safemode:        %%define build_safemode 0}}
%{expand: %{?_with_safemode:           %%define build_safemode 1}}

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:	The Horde contact management application
License:	LGPL
Group:		System/Servers
Source0:	%{module}-%{version}.tar.bz2
Source1:	%{module}-apache.conf.bz2
Source2:	%{module}-horde.conf.bz2
Patch0:		%{module}-1.1-config-imp.patch.bz2
Patch2:		%{module}-1.2-safemode.patch.bz2
URL:		http://www.horde.org/turba/
Requires:	horde >= 2.2.5-2mdk
Provides:	%{module}
Obsoletes:	%{module}
BuildRequires:	ADVX-build >= 1.2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Turba is the Horde contact management application, which allows access
to and storage of personal contacts (including name, email address,
phone number, and other easily customizable fields).  Turba integrates
with IMP (Horde's webmail application) as its address book.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Turba)
please visit http://www.horde.org/.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p0
#%patch1 -p1
%if %build_safemode
    %patch2 -p1
%endif

%build

%install
rm -rf $RPM_BUILD_ROOT

# apache configuration
install -d -m 755 $RPM_BUILD_ROOT%{ap_base}/webapps.d
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{ap_base}/webapps.d/%{order}_%{name}.conf

# horde configuration
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/config/registry.d
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/config/registry.d/%{module}.php

# install files
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{module}
cp -pR * $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}
cp -pR scripts/* $RPM_BUILD_ROOT%{_datadir}/%{module}

# post-install cleanup
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/COPYING
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/README
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/docs
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/scripts
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/po

# remove .htaccess files
find $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module} -name .htaccess -exec rm -f {} \;

# activate configuration files
for file in $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/config/*.dist; do
	mv $file ${file%.dist}
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc README COPYING docs
# Apache configuration file
%config(noreplace) %{ap_base}/webapps.d/%{order}_%{name}.conf
# Horde configuration file
%config(noreplace) %{ap_htdocsdir}/horde/config/registry.d/%{module}.php
# script
%{_datadir}/%{module}
# top level dir and files
%dir %{ap_htdocsdir}/horde/%{module}
%{ap_htdocsdir}/horde/%{module}/*.php
# standard dirs
%{ap_htdocsdir}/horde/%{module}/graphics
%{ap_htdocsdir}/horde/%{module}/lib
%{ap_htdocsdir}/horde/%{module}/templates
%{ap_htdocsdir}/horde/%{module}/locale
# config files
%dir %{ap_htdocsdir}/horde/%{module}/config
%config(noreplace) %{ap_htdocsdir}/horde/%{module}/config/*.php

%changelog
* Mon Jul 19 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.2.2-3mdk 
- apache config file in %{ap_base}/webapps.d

* Sat May 01 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.2.2-2mdk
- renamed to %{name}
- pluggable horde configuration
- standard perms for %{ap_confd}/%{order}_%{name}.conf
- don't provide useless ADVXpackage virtual package
- remove redundant requires, as horde already requires them

* Mon Apr 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.2.2-1mdk
- new version

* Sat Dec 20 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.2.1-2mdk
- untagged localisation files
- no more .htaccess files, use %{ap_confd}/%{order}_%{module}.conf instead
- scripts now in  %{_datadir}/{name}

* Sat Sep 20 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2.1-1mdk
- 1.2.1
- suspend patch 1, doesn't match anymore

* Tue Sep 09 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2-3mdk
- requires horde, not horde2
- changed order to 72, as all other horde apps
- standard perms and ownership for config files, access is already denied

* Mon Sep 08 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2-2mdk
- speac cleanup
- remove useless files from webroot (.dist, doc files, .po)
- properly tag localisation files
- drop apache1 integration
- fixed URL
- removed implicit dependencies

* Fri Jun 27 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2-1mdk
- Release 1.2.
- Rebuild Patch2.

* Sun Feb 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.1-3mdk
- new macros from ADVX-build

* Tue Jul 02 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.1-2mdk
- spec cleanup
- removed circular requires on imp3
- removed redundant requires on apache

* Wed Jun 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- updated by David Walser <luigiwalser@yahoo.com> :
	- 1.1 final
	- Regenerate ldap patch

* Sat Mar 18 2002 David Walser <luigiwalser@yahoo.com> 1.1-0.2mdk
- Add patch1 (ldap sources)

* Sat Mar 18 2002 David Walser <luigiwalser@yahoo.com> 1.1-0.1mdk
- Regenerate patch

* Mon Mar 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-3mdk
- s/Copyright/License/.

* Mon Mar 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-2mdk
- fixed BuildRequires for horde2 and imp3.

* Mon Mar 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-1mdk
- initial mandrake release.
- added imp in config.

* Wed Jan 02 2002 Brent J. Nordquist <bjn@horde.org>
- 1.0 release 1

* Mon Dec 24 2001 Brent J. Nordquist <bjn@horde.org>
- 1.0-RC4 release 1

* Sun Dec 16 2001 Brent J. Nordquist <bjn@horde.org>
- initial RPM for Turba 1.0
